<p class="topic">
Default Creation Parameters
</p>

<p class="text">
Use this dialog box to set the default attributes for all of your database links.
</p>
<p class="text">
<b>Control Client Return.</b> These options help you specify how the database link responds to client application requests.
</p>

<ul>
<li>
<b>Return referral on scoped search.</b> Select this option to return referrals to client applications in response to scoped searches. Choosing to return referrals optimizes directory server performance, as referrals are more efficient than searching for data in remote databases.
</li>

<li>
<b>Size limit X entries.</b> Specifies the number of entries the database link returns in response to a search request. The default size limit is 2000 entries. 
</li>

<li>
<b>Time limit X seconds.</b> Specifies the search time limit for the database link. The default value is 3600 seconds.
</li>
</ul>

<p class="text">
<b>Cascading Chaining.</b> Use the following options to configure cascading chaining, when one database link points to another database link.
</p>

<ul>
<li>
<b>Check local ACI.</b> Select this checkbox to enable evaluation of local ACIs on all database links involved in a chaining operation. 
</li>

<li>
<b>Maximum hops.</b> Specifies the number of hops, or times one database link contacts another, allowed. When one database link connects to another, this count decrements. Each subsequent database link contacted further decrements the count. If a server receives a count of 0 it determines that a loop has been detected and notifies the client application. The range is 0 to 20.
The default maximum hops value is 10.
</li>
</ul>

<p class="text">
<b>Connection Management.</b> Use these options to configure the pool of connections maintained by the database link with the remote server.
</p>

<ul>
<li>
<b>Maximum TCP connection(s).</b> Maximum number of TCP connections the database link establishes with the remote server. The default value is 3 connections. The range is 1 to 50.
</li>

<li>
<b>Bind timeout. </b>Amount of time, in seconds, before the bind attempt times out. The default value is 15 seconds. The range is 0 to 3600 seconds.
</li>

<li>
<b>Maximum binds per connection.</b> Maximum number of outstanding bind operations per TCP connection. The default value is 10 outstanding bind operations. The range is 0 to 25.
</li>

<li>
<b>Timeout before abandon.</b> The number of seconds that pass before the server checks for abandon operations. The default value is 1 second The range is 0 to 2147483647.
</li>

<li>
<b>Maximum LDAP connection(s).</b> Maximum number of LDAP connections the database link establishes with the remote server. The default value is 20 connections. The range is 1 to 50.
</li>

<li>
<b>Maximum bind retries.</b> Number of times a database link attempts to bind with the remote database. A value of zero indicates that the database link will try to bind only once. The default value is 3 attempts. The range of values is 0 to 10.
</li>

<li>
<b>Maximum operations per connection.</b> Maximum number of outstanding operations per connection. The default value is 2 operations per second. The range is 0 to 50.
</li>

<li>
<b>Connection life (sec). </b>You can keep connections between the database link and the remote database open for an unspecified time, or you can close them after a specific period. It is faster to keep the connections open, but it uses more resources. 
A value of 0 indicates that there is no limit. By default, the value is set to 0. The range is 0 to 2147483647 seconds.
</li>
</ul>
